[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TBaseAVLTreeNodeManager.DisposeNode

Called when the AVL tree no longer needs node

## Declaration

Source position: avl_tree.pp line 47

`public procedure TBaseAVLTreeNodeManager.DisposeNode(`
`ANode: TAVLTreeNode`
`); virtual; abstract;`

## Arguments

`ANode` |  | Node to dispose of

## Description

DisposeNode is called by TAVLTree when it no longer needs a TAVLTreeNode instance. The manager may decide to re-use the instance for later use instead of destroying it.

## See also

TBaseAVLTreeNodeManager.NewNode |  | Called when the AVL tree needs a new node
TAVLTree.Delete |  | Delete a node from the tree
TAVLTreeNode |  | Represents a node in the tree.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .